@import "../global";

@include define-section(server-new-device) {
    display: grid;
    gap: 1rem 1rem;
    place-items: start;
    place-content: start;
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    padding: 1rem;

    > .info {
        @extend .generic-pop-over;
        background-color: #b8f3cc;
    }

    > .error {
        @extend .generic-pop-over;
        background-color: #f3b8b8;
    }

    .new-device-form {
        padding: 1rem;
        background-color: #FFFFFF;
        display: grid;
        grid-template-columns: auto;
        grid-template-rows: auto auto;
        border-radius: 0.3rem;
        gap: 2rem;

        > .text-input {
            @extend .generic-labeled-text-input;
        }

        > .select-input {
            @extend .generic-labeled-select;
        }

        > .controls {
            > .btn-add {
                @extend .generic-input-button;
            }
        }
    }
}